<resources xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingDefaultResource">
    <paths>
        <!--  FileProvide 访问的文件路径      -->
        <!--  path 指定路径下的文件夹    -->
        <root-path
            name="root"
            path="." />

        <!-- Context.getFilesDir() + “/path/-->
        <!--  /data/data/<package-name>/files/path/      -->
        <files-path
            name="files"
            path="." />

        <!-- 对应Context.getCacheDir() + “/path/” -->
        <!-- data/data/<package-name>/cache/path/    -->
        <cache-path
            name="cache"
            path="." />

        <!--  Environment.getExternalStorageDirectory() + “/path/”   -->
        <!--  /storage/emulated/0/path/      -->
        <external-path
            name="sdcard"
            path="." />

        <!-- Context.getExternalFilesDir(null) + “/path/”-->
        <!-- /storage/emulated/0/Android/data/<package_name>/files/path/  -->
        <external-files-path
            name="external_files_path"
            path="." />

        <!-- Context.getExternalCacheDir() + “/path/” -->
        <!-- /storage/emulated/0/Android/data/<package-name>/cache/path/ -->
        <external-cache-path
            name="external_cache_path"
            path="." />
    </paths>
</resources>

